<?php  
if($_POST){
$telefono_eliminar=$_POST['telefonoEliminar'];
$nombre_eliminar=$_POST['nombreEliminar'];
$servidor="localhost";
$usuario="root";
$password="123";
$database="ejemplomysql";

$conexion=mysqli_connect($servidor,$usuario,$password,$database) or die("Error en la conexion");
$sentencia="DELETE FROM datos WHERE nombre='".$nombre_eliminar."' and telefono='".$telefono_eliminar."';";
mysqli_query($conexion,$sentencia);
mysqli_close($conexion);
echo "Muy Bien Luis";
}else if($_GET){
$telefono_eliminar=$_GET['telefonoEliminar'];
$nombre_eliminar=$_GET['nombreEliminar'];
$servidor="localhost";
$usuario="root";
$password="123";
$database="ejemplomysql";

$conexion=mysqli_connect($servidor,$usuario,$password,$database) or die("Error en la conexion");
$sentencia="DELETE FROM datos WHERE nombre='".$nombre_eliminar."' and telefono='".$telefono_eliminar."';";
mysqli_query($conexion,$sentencia);
mysqli_close($conexion);
}